\mychapter{Application}{application}

The fuel cycle under investigation has already been described in detail in \autoref{ch:nfcphysics}. Now the method
developed in \autoref{ch:methodology} will be applied to it, and results will be presented. Additionally, weaknesses
and important \gls{hyperparameter}s of the method will be discussed.

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\mysection{Scenario}{scenario}

While a lot of the work done has been mostly theoretical, it is important not to lose track of the end goal, which is
to replicate a real fuel cycle in a simulation and use the developed methods to infer unknown parameters.
Therefore, it is useful to keep in mind a scenario that shall be used as test subject in the following sections.

Whereas the fuel cycle under investigation was originally inspired by (among others) Pakistan's case, this section
will move it to a fictional location to be named \emph{Elbonia}, ``an impoverished western European [...] former Soviet
state in the fourth world''. Although ``it doesn't have a strong military [...]'', they ``do have one nuclear warhead
sold to them [...] which they use to threaten their enemy, Kneebonia'' (verbatim quotes from \cite{ElboniaFandom}). One
warhead had not been enough for them, so they started extracting uranium from the mud covering all of
their small country. However, the mud's uranium concentration is rather low -- good for Elbonians' health, but also
starving Elbonia's nuclear fuel cycle of uranium, and requiring them to be careful about efficiently using the little
uranium they manage to extract each year.

\begin{figure}
 \centering
 \includegraphics[width=\textwidth]{figures/application/dilbert/04_nuclear_power.png}
 \caption[News from Elbonia]{News from Elbonia. \cite{DilbertNuclearPower}}
 \label{fig:application:dilbert04}
\end{figure}

Natural Elbonian uranium had been enriched in an enrichment plant to low enrichment grades (\emph{fresh fuel
enrichment}; \SIrange{1}{2}{\percent}) before it fuelled a reactor that, due to military espionage, somewhat
resembles those from the Savannah River Site. After a \emph{cycle time} of between 20 to 120 days, irradiated
fuel was removed from the reactor and reprocessed in a reprocessing plant. The resulting streams of irradiated
uranium, newly generated plutonium, and separated waste were directed to a uranium enrichment plant, a storage facility
for weapons-grade plutonium, and a little-secured dumping site, respectively. Tails from the subsequent spent fuel
enrichment plant were directed to a different dumping ground, and reprocessed enriched uranium (enriched up to a
\emph{product enrichment grade} of \SI{95}{\percent} \uranium{5}) has been stored in order for further processing and,
ultimately, weapons manufacturing.

In the meantime, the international community has convinced Elbonia of putting a moratorium on plutonium production, and
move towards a peaceful use of nuclear energy. In order to conduct productive negotiations with the \emph{Elbonian
National Adminstration of Nuclear Affairs} (ENANA), diplomats are interested in gaining confidence in the data
reported about the fuel cycle used for the initial production run, which likely yielded both plutonium and enriched
uranium. The ENANA reports some details about their fuel cycle, but does not grant access to its stockpiles of enriched
uranium and plutonium, both of which it still wants to keep for use in nuclear warheads (unless negotiations succeed).
However, it does allow for inspection of various waste dumps -- among them depleted reprocessed uranium and separated
reprocessing waste.

In order to verify the consistency of reported numbers, negotiators are (for now) interested in parameters such as

\begin{itemize}
 \item product enrichment: enrichment grade of reprocessed and re-enriched \uranium{5};
 \item cycle time: duration of fuel remaining in the reactor;
 \item fresh fuel enrichment: enrichment grade of uranium used as fresh fuel.
\end{itemize}

Inspectors can take samples from the accessible materials and analyze them using mass spectroscopy and other
quantitative measurement methods. This way, especially abundance ratios (that is, concentration ratios of isotopes) can
be established very precisely.

In order to calculate parameters from measurements, the negotiators first require a model replicating the real
fuel cycle as closely as possible. In this work, it is assumed that the fuel cycle model as implemented in
\cyclus~resembles the fuel cycle \emph{well enough}, i.e. so close to the original that useful inferences can
be made; this assumptions is reasonable for a verification/disarmament scenario like the one presented. Independent
information about the fuel cycle and its facilities can be obtained, for example, from aerial surveillance or engineers
fleeing the oppressive regime, who possess partial information about the fuel cycle. When dealing with actual
scenarios, modelling the fuel cycle will likely be a major source of uncertainty.

Using the measurements of presented waste and tails as observations, the inference process is going to derive
probability distributions for the parameters above. The developed method is capable of using any available information
to improve initial predictions with as little or as much observed information as we can provide. Some
measurements will be more helpful for inferring certain parameters than others; for example: separated waste from
the reprocessing facility can not be used to make inferences about the enrichment of spent fuel, as reprocessing of
spent fuel happens upstream of its enrichment -- but can improve the reconstruction of a set of parameters as it
contributes information that would have been lost in the enrichment plant.

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\mysection{Default Parameters}{application:defaultparameters}

The model has default parameters, which are defined in the Python representation of the fuel cycle model; these are
assumed to be constant and well-known. Notable parameters of the hypothetical fuel cycle are shown in
\autoref{tab:application:defaults}. In \autoref{sec:application:assumptionuncertainties}, an approach will be presented
to model these assumptions with uncertainties too: it is unlikely for these parameters to be known precisely.

\begin{table}[h]
 \centering
 \begin{tabular}{r|c}
  Parameter & Value \\
  \midrule
  Spent fuel separation efficiency of U/Pu & \num{97}/\SI{99}{\percent}(*) \\
  Enrichment grade of depl. uranium & \SI{0.2}{\percent} \\
  Moderator temperature & \SI{350}{\celsius} \\
  Reactor core mass & \SI{110996}{\kilo\gram} of uranium\\
  Reactor power & \SI{2410}{\mega\watt} \\
%   Specific burnup & $\frac{\text{power} \times \text{cycle time}}{\text{core mass}}$ \\
 \end{tabular}
 \caption[Default parameters]{Default parameters used in the following experiments.\\(*) Similar separation
efficiencies are
reported in \cite{wilson1996nuclear}; modern facilities will likely achieve a higher efficiency.}
 \label{tab:application:defaults}
\end{table}

The three parameters under investigation (see above) will be specified explicitly for data presented below.

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\mysection{Inference of Product Enrichment}{application:prodenrich}
%% issue #15

As the spent fuel removed from the reactor after the cycle time still contains meaningful concentrations of
\uranium{5}, Elbonia is trying to re-enrich spent fuel instead of discarding it. The negotiators are not sure if Elbonia
has produced highly-enriched uranium from its spent fuel, and are therefore interested in this parameter. An obviously
important parameter of the fuel cycle is the level to which uranium from spent fuel is enriched in order to produce
weapons-grade uranium. Therefore, the first experiment will show if and how well the \emph{product enrichment} can be
reconstructed from the depleted uranium emitted by the final enrichment facility.

\begin{figure}
 \centering
\includegraphics[width=\textwidth]{
figures/application/prodenrich/depleted_uranium_sink_u_abundanceratio_by_prodenrich.pdf}
 % depleted_uranium_sink_u_abundanceratio_by_cycletime.pdf: 0x0 px, 0dpi, nanxnan cm, bb=
 \caption[Uranium abundance ratios for different cycle times]{Abundance ratios and mass of depleted uranium as function
of cycle time.}
 \label{fig:application:abundanceratios_by_prodenrich}
\end{figure}

The following abundance ratios (mass fraction ratios) and masses are measured in this experiment:

% 22629172
\begin{itemize}
 \item Depleted uranium sink
 \begin{itemize}
  \item \uranium{4}/\uranium{5}
  \item \uranium{6}/\uranium{5}
  \item \uranium{5}/\uranium{8}
  \item Mass of depleted uranium.
 \end{itemize}
\end{itemize}

The abundance ratios and the mass for different cycle times are shown in
\autoref{fig:application:abundanceratios_by_prodenrich}. Due to their mostly ``good behavior'' (see
\autoref{ssec:methodology:suitable}), it is likely that these measurements will be helpful in reconstructing the cycle
time of the fuel cycle. In fact, as long as only this single parameter needs to be reconstructed, this can be done
directly by comparing the measurements with the simulation.

The relationship of measured abundance ratios can be understood relatively easily: \uranium{4} becomes increasingly
depleted compared to \uranium{5} because it is preferably enriched due to its smaller mass. The opposite occurs in the
case of \uranium{6}, which increasingly appears in the tails. \uranium{5} depletes compared to \uranium{8}, which is
obvious -- that's what enrichment achieves, after all. Finally, the mass of depleted uranium increases because
increasingly more of \uranium{8} is separated from the product, and this isotope makes up the bulk of the feed. In a
real scenario, it may be very difficult to precisely weigh \SI{105}{\tonne} of depleted uranium; therefore, it may
either be left out or assigned a larger uncertainty in the inference process.

In order to test the inference process, the compositions of the depleted uranium sink (a \emph{true measurement}) are
calculated first for the \gls{groundtruth} shown in \autoref{tab:application:cycletime}. The question to be answered at
this point can be phrased as: \emph{``assuming that the cycle time and fresh fuel enrichment are as assumed, what are
likely product enrichment grades for the observed isotope abundance ratios?''}, and the answer is a probability
distribution.

For the likelihood calculation in this evaluation, the relative $\sigma$ was set at \SI{1}{\percent} (see
\autoref{eqn:methodology:abundancerelsigma}), and a uniform distribution in the specified range is used for the prior
probability distributions.

\begin{table}[h]
\centering
\begin{tabular}{rlcc}
 & Parameter & Range & Value \\
 \midrule
 \textbf{assumed} & Fresh fuel enrichment & & \SI{1.1}{\percent} \\
 & Cycle time & & \SI{60}{\day} \\
 \midrule
 \textbf{sampled} & Product enrichment & \SIrange{5}{95}{\percent} & \SI{90}{\percent} \\
\end{tabular}
\caption[Parameters for product enrichment reconstruction]{Experiment parameters for inference of product enrichment
from depleted uranium waste.}
\label{tab:application:cycletime}
\end{table}

\begin{figure}
 \centering
 % job 22629655
 \includegraphics[width=0.5\textwidth]{figures/application/prodenrich/prodenrich_density.pdf}
 \caption[Reconstructed product enrichment grade probability distribution]{Probability distribution of the product
enrichment grade at a fresh fuel enrichment of \SI{1.1}{\percent} and
a cycle time of \SI{60}{\day}.}
 \label{fig:application:prodenrich_density}
 % 1% sigma, job 22629655.
\end{figure}

After running the inference process, the result is a probability distribution for the cycle time of the fuel
cycle, shown in \autoref{fig:application:prodenrich_density}. Its relatively smooth shape is a result of the algorithm
used for generating the figure; as described in the section on Bayesian inference, the MCMC sampling process only
results in a set of samples, not a probability distribution \emph{per se}. Thus, here and on the following pages,
figures are generated using \emph{kernel density estimation}, which allows converting a set of samples into an estimate
of the probability distribution underlying the samples' generation process. \cite{SciPyKDE}

Because the result is a probability distribution, it is simple to determine, for example, the \SI{90}{\percent} highest
density interval, i.e. the interval containing \SI{90}{\percent} of all samples. In this case, the range contains
product enrichment grades from \SIrange{82.6}{94.0}{\percent}. That means: With the configured likelihood calculation,
the reconstructed probability of the actual cycle time being within this interval is \SI{90}{\percent}. (This is
different from a confidence interval). It is important to not take this number literally, as the model
uncertainties as well as the inference process mechanics have a great impact on the posterior probability distribution.
The resulting data can only serve to compare one measurement versus another, using similar a model.

This approach has a weakness, though: it assumes that the cycle time and the fresh fuel enrichment of the fuel cycle
are known. Therefore, the next sections will additionally infer the cycle time and then the fresh fuel enrichment from
the measured waste composition.

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\mysection{Inference of Cycle Time and Product Enrichment}{application:cyclerichment}
%% issue 13

In addition to the product enrichment grade, the next experiment also infers the cycle time of the fuel cycle. This has
the obvious advantage that it doesn't have to be assumed anymore; the information is directly taken from the waste
composition.

In the following \autoref{tab:application:cyclerichment}, \emph{assumed} parameters can again be thought of as being
available as estimates, and \emph{sampled} parameters are sampled in the given range. The inference process once again
used a relative sigma of \SI{1}{\percent}, and uniform prior distributions with the given ranges, and the same abundance
ratios for uranium isotopes described in the previous section.

\begin{table}[h]
\centering
\begin{tabular}{rlcc}
 & Parameter & Range & Value \\
 \midrule
 \textbf{assumed} & Fresh fuel enrichment & & \SI{1.1}{\percent} \\
 \midrule
 \textbf{sampled} & Cycle time & \SIrange{20}{120}{\day} & \SI{60}{\day}\\
 & Product enrichment & \SIrange{5}{95}{\percent} & \SI{90}{\percent} \\
\end{tabular}
\caption[Parameters for cycle time and product enrichment reconstruction]{Experiment parameters for inference of cycle
time and product enrichment.}
\label{tab:application:cyclerichment}
\end{table}

In order to understand the result, it's again useful to investigate how observations depend on sampled parameters. With
two parameters being sampled, it becomes more difficult to reason about this problem, but it remains possible.
Concentrations of uranium isotopes for different cycle times are shown in
\autoref{fig:application:uraniumisoconc_cyclerichment}, and abundance ratios for different isotopes and resulting total
mass of tails dumps with varying cycle time and product enrichment are shown in
\autoref{fig:application:cyclerichment_abundance}.

\begin{figure}
\centering
\begin{subfigure}{\textwidth}
 \centering
 \includegraphics[width=\textwidth]{figures/application/cyclerichment/depleteduraniumsink_isotope_concentrations.pdf}
 \caption[Uranium isotopes' concentrations as functions of cycle time]{For a constant fresh fuel enrichment of
\SI{1.1}{\percent} and an assumed product enrichment of \SI{90}{\percent}, the concentrations of different uranium
isotopes depending on the cycle time are shown.}
 \label{fig:application:uraniumisoconc_cyclerichment}
\end{subfigure}
\begin{subfigure}{\textwidth}
 \centering
 % job 22629172
 \includegraphics[width=\textwidth]{figures/application/cyclerichment/cyclerichment_abundance.pdf}
 \caption[Depleted uranium isotopic abundance ratios for cycle time and product enrichment]{Measured \emph{abundance
ratios} and mass for combinations of cycle time and product enrichment. These ratios are used as-is by the inference
process.}
 \label{fig:application:cyclerichment_abundance}
\end{subfigure}
\caption[Depleted uranium composition for variable cycle time]{Measurements of depleted uranium compositions for a
changing cycle time.}
\label{fig:application:cyclerichment_measurements}
\end{figure}

The influence of a changing product enrichment grade was explained in the previous section; the cycle time dependence is
slightly more complicated and shown in \autoref{fig:application:uraniumisoconc_cyclerichment}.
A prominent feature of the figures are kinks in the measured isotopic concentration. The reason
for this is the integer number of stages in the enrichment plant. The target assay (\uranium{5} content) of depleted
uranium is set to \SI{0.2}{\percent}; thus, when the concentration drops too low in the second plot of
\autoref{fig:application:uraniumisoconc_cyclerichment} -- due to decreasing \uranium{5} concentration in the feed
with higher burnup -- a ``stripping'' stage might\footnote{A detailed enrichment model is not central to
this experiment.} be removed from the enrichment cascade, for example. The concentration of \uranium{5} in the depleted
uranium tails jumps as a consequence, but is still below the target assay. This way, the enrichment plant can process
a higher throughput at a slightly lower, but still conforming enrichment grade. The same jump also occurs in the other
isotopes, as every isotope is affected by enrichment (and either enriched or depleted in comparison to the feed,
depending on its mass). Similarly, the isotopes \uranium{4} and \uranium{6} arrive in higher concentrations in the feed
and are therefore increasingly present in the depleted uranium -- even though they are still depleted by the enrichment
process due to their lower mass compared to \uranium{8}.

\begin{figure}[h]
 \centering
\begin{subfigure}{0.47\textwidth}
 \centering
 % job 22815195
 \includegraphics[width=.75\textwidth]{figures/application/cyclerichment/cyclerichment_densities.pdf}
 \caption[Reconstructed probability distributions for cycle time and product enrichment]{Probability distributions for
cycle time and product enrichment grade shown separately; compare with
\autoref{fig:application:prodenrich_density}.}
 \label{fig:application:cyclerichment_density}
\end{subfigure}
\begin{subfigure}{0.47\textwidth}
 % job 22815195
 \includegraphics[width=\textwidth]{figures/application/cyclerichment/cyclerichment_kde.pdf}
 \caption[Joint probability distribution of cycle time and product enrichment]{Joint probability distribution displayed
as kernel density estimate (KDE) plot in two dimensions.}
 \label{fig:application:cyclerichment_density_joint}
\end{subfigure}
\caption[Reconstruction results for cycle time and product enrichment]{Inference result for cycle time and product
enrichment parameters.}
\label{fig:application:cyclerichment_densities}
\end{figure}

The two-dimensional visualizations in \autoref{fig:application:cyclerichment_abundance} show the abundance ratios of
the different isotopes as a function of both parameters. The kink of uranium concentrations at a cycle time around
\SI{92}{\day} is the same as shown in \autoref{fig:application:uraniumisoconc_cyclerichment} -- this provides confidence
that the abundance ratios are calculated correctly. This is a direct visualization of the same abundance ratio
measurements used by the inference process.

The result of the inference process is shown in \autoref{fig:application:cyclerichment_densities}. Two things can be
noted; first, the inference quality of the product enrichment grade parameter has not decreased compared to the
previous section (where it was inferred by its own); and second, the inference of cycle time has worked well, and the
density's maximum coincides perfectly with the \gls{groundtruth} value of \SI{60}{\day}. Finally, the ``side lobes''
with a tendency of lower product enrichment grades for higher cycle times can be explained by the interaction of cycle
time and product enrichment: If cycle time drops, more \uranium{5} is left in the re-enrichment feed. In order to match
the \emph{true measurement}, the product enrichment needs to increase; a higher product enrichment results in lowered
\uranium{5} tails concentration, and can compensate for a decreased cycle time. The same situation, but reversed,
occurs for higher cycle times where the reconstructed product enrichment grade drops.

The reconstructed cycle time makes it possible to calculate the specific burnup, which is
\[\frac{\SI{2410}{\mega\watt} \times \SI{60}{\day}}{\SI{110996}{\kilo\gram}} =
\SI{1.3}{\mega\watt\day\per\kilo\gram},\] and therefore well within the range for weapons-grade plutonium production.
Of course, this could also be found by measuring the separated reprocessing waste directly, which finds a concentration
of around \SI{1}{\percent} of \plutonium{40} -- well below the \SI{7}{\percent} considered the maximum for
weapons-grade plutonium. However, this wasn't necessary and the same information (with additional prior
information about the reactor) could be reconstructed from the depleted uranium.

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\mysection{Additional Reconstruction of Fresh Fuel Enrichment}{application:ffe_deplu}

A third source of uncertainty is the enrichment grade of fresh fuel entering the reactor at the start of the fuel
cycle. So far, this parameter has been assumed constant at \SI{1.1}{\percent}. Instead of fixing this parameter, a
reconstruction can also be attempted. For this, the setup in \autoref{tab:application:ffe} is used. At this
point, the inference process still only considers the three abundance ratios for uranium as well as the mass
of depleted uranium, as presented earlier. It weighs them using a relative sigma value of \SI{1}{\percent}.

\begin{table}[h]
\centering
\begin{tabular}{rlcc}
 & Parameter & Range & Value \\
 \midrule
 \textbf{assumed} & \multicolumn{3}{c}{\emph{-- only default parameters --}} \\
 \midrule
 \textbf{sampled} & Cycle time & \SIrange{20}{120}{\day} & \SI{60}{\day}\\
 & Product enrichment & \SIrange{5}{95}{\percent} & \SI{90}{\percent} \\
 & Fresh fuel enrichment & \SIrange{1.0}{2.0}{\percent} & \SI{1.1}{\percent} \\
\end{tabular}
\caption[Parameters for cycle time, product enrichment, and fresh fuel enrichment reconstruction]{Inference of cycle
time, product enrichment, and fresh fuel enrichment.}
\label{tab:application:ffe}
\end{table}

\begin{figure}
\begin{subfigure}{\textwidth}
 \centering
\includegraphics[width=\textwidth]
{figures/application/cycletime_bothenrich/u_concs_by_freshenrichment.pdf}
\caption[Depleted uranium composition as function of fresh fuel enrichment]{Influence of fresh fuel enrichment on
isotope composition of depleted uranium. Marker points are connected for easier interpretation. The inference process
uses abundance ratios as given in \autoref{fig:application:ffe_uranium_ar}, which are more difficult to interpret.}
\label{fig:application:ffe_uranium_concs}
\end{subfigure}
\begin{subfigure}{\textwidth}
\centering
\includegraphics[width=\textwidth]{
figures/application/cycletime_bothenrich/depleted_uranium_sink_u_abundanceratio_by_freshenrichment.pdf}
\caption[Depleted uranium composition for variable fresh fuel enrichment grade]{Measurements used by the inference
process: abundance ratios and mass of depleted uranium.}
\label{fig:application:ffe_uranium_ar}
\end{subfigure}
\caption[Depleted uranium composition for variable fresh fuel enrichment]{Changes of uranium isotope concentrations
respective abundance ratios with varying fresh fuel enrichment.}
\label{fig:application:ffe_uranium}
\end{figure}

For explaining the measurements used by the inference process, \autoref{fig:application:ffe_uranium_concs} shows the
concentrations of different uranium isotopes in the depleted uranium sink, and is not easily explained. The sawtooth
pattern stems from a varying number of stages in the final enrichment plant; this was explained earlier. Starting with
\uranium{4}, its concentration increases within each tooth -- i.e., within a constant number of stages --, along with
the increased concentration of this isotope in the feed material (possibly due to its production process \uranium{5}
$(n, 2n)$ \uranium{4}, as described in \autoref{sec:nfc:u234}). The \uranium{5} concentration also increases with
increasing fresh fuel enrichment, as there is more \uranium{5} in the feed to the enrichment plant. Similarly,
\uranium{6}'s concentration in the feed also increases with higher fresh fuel enrichment grades.

However, as the enrichment grade of feed material rises, the number of stages has to increase in order to achieve the
desired tails assay, as otherwise too much \uranium{5} would be going into the depleted uranium tails. With
additional stages, \uranium{6} and \uranium{4} increasingly accumulate in the product along with \uranium{5}, and their
concentrations in the depleted uranium drop with each added stage. The \uranium{5} concentration stays roughly constant
with additional stages, as the number of stages is itself determined by the \uranium{5} concentration of the depleted
uranium tails. The desired tails assay is \SI{0.2}{\percent}, which can be seen in the
diagram showing the concentration of \uranium{5} in the tails: the sawtooth curve stays below the target assay at all
times. The \uranium{8} concentration behaves inversely to \uranium{5}, as those two isotopes constitute the majority
of material in the tails. \cite{CommunicationMax}

Knowing this, it is also obvious that a correct reconstruction of the fresh fuel enrichment grade will be more
difficult, or even impossible: for both \uranium{5} and \uranium{8}, there is more than one plausible fresh fuel
enrichment grade for most measured concentrations. This is confirmed by the inference result in
\autoref{fig:application:cyclerichment_ffe_u_only}.

The expected peaks at the ground truth values (at \SI{60}{\day}/\SI{1.1}{\percent}/\SI{90}{\percent}, respectively) are
present, but there is a different peak showing a higher likelihood at
\SI{66}{\day}/\SI{1.27}{\percent}/\SI{47}{\percent}. A different visualization of the same data is shown in
\autoref{fig:application:chainmodes_u}. This figure shows the probability distributions inferred by individual Markov
chains. Only two distinct distributions were observed, so only those are shown.

This means that there is not a single multi-modal distribution, but that the resulting posterior probability
distribution is a mixture of two distributions. It turns out that each Markov chain ``decided'' to sample one of the
two possible distributions (\autoref{fig:application:chainmodes_u}). The ``decision'' is mostly influenced by the start
value, which is selected randomly for each chain, and by the random seed used for subsequent sampling.

\begin{figure}[h]
 \centering
 \includegraphics[width=\textwidth]{figures/application/cycletime_bothenrich/cyclerichmentffe_multipeak_22824761.pdf}
 \caption[Bimodal reconstruction result for three parameters]{The probability distribution inferred from measuring
depleted uranium is problematic, as it is ambiguous. (Of the remaining chains, all were sampling either of the peaks.)}
 \label{fig:application:cyclerichment_ffe_u_only}
\end{figure}
\begin{figure}
 \centering
 \includegraphics[width=\textwidth]{figures/application/cycletime_bothenrich/cyclerichmentffe_22824761_chains.pdf}
 % cyclerichment_22719887_chains.pdf: 864x274 px, 72dpi, 30.48x9.67 cm, bb=0 0 864 274
 \caption[Stable Markov chains observed for reconstruction of three parameters]{The two different stable chains
observed for consideration of only depleted uranium stock and no tails mass measurement. Here, the chains \#0 and \#5
are shown as examples.}
 \label{fig:application:chainmodes_u}
\end{figure}

The explanation for this can be found in the \autoref{fig:application:ffe_uranium_ar}, which shows the abundance ratios
measured as part of the inference process. When reading the peaks' positions in the center graph of
\autoref{fig:application:chainmodes_u} on the \emph{fresh fuel enrichment} axis, the resulting fresh fuel enrichment
grades are \num{1.1} and \num{1.25}, respectively. Compare this with the sawtooth pattern of the abundance ratios;
specifically the second and third figure in \autoref{fig:application:ffe_uranium_concs}. For the \gls{groundtruth} at a
fresh fuel enrichment grade of \SI{1.1}{\percent}, a \uranium{5}/\uranium{8} abundance ratio of about \num{1.65e-3}
will be measured (this number can be read directly from the figure). Now, reading the intersections of the connection
line with an imagined horizontal line at \num{1.65e-3} will result in a fresh fuel enrichment grades of \num{1.25} also
producing this specific abundance ratio. Therefore, the reconstruction found multiple plausible parameters because the
enrichment plant at the end of the fuel cycle changed the number of stages it worked with. The mass and
\uranium{4}/\uranium{5} abundance ratio measurements apparently weren't enough to completely prevent this behavior,
although two more peaks could have occurred at \num{1.45} and \SI{1.7}{\percent} -- these were likely suppressed by the
mass and \uranium{4}/\uranium{5} measurements.

The easiest way to resolve this problem is to give more information to the inference process. One source of
information that has not been used so far is the separated waste sink; it contains a number of trace isotopes as well
as uranium and plutonium in the same isotopic compositions also found in spent fuel. The separated waste (or
reprocessing waste) is generated by the reprocessing plant, which separates uranium and plutonium from fission and
decay products. By analyzing this waste, the cycle time can be unambiguously inferred from separated waste measurements,
for example; this information can then help remove the ambiguity which occurs when only considering the uranium
composition.

\begin{figure}
% \begin{subfigure}{\textwidth}
 \centering
\includegraphics[width=\textwidth]{figures/application/cycletime_bothenrich/u_concs_by_freshenrichment_sepwaste.pdf}
%  \caption{Change of uranium isotopic composition in the waste separated by the reprocessing plant.}
%  \label{fig:application:ffe_uranium_concs_sepwaste}
%  \end{subfigure}
%  \begin{subfigure}{\textwidth}
%  \centering
% \includegraphics[width=\textwidth]{
% figures/application/cycletime_bothenrich/separated_waste_sink_pu_concs_by_freshenrichment.pdf}
%  \caption{Change of plutonium isotopic composition in the waste separated by the reprocessing plant.}
%  \label{fig:application:ffe_plutonium_concs_sepwaste}
%  \end{subfigure}
\caption[Compositions of separated waste by fresh fuel enrichment]{Isotopic compositions of separated waste, by fresh
fuel enrichment. Simulated at a cycle time of \SI{60}{\day}.}
\label{fig:application:ffe_concs}
\end{figure}

The graphs in \autoref{fig:application:ffe_concs} show why additional measurements of separated waste
are helpful: Referring to the first chapter and the explanations of individual isotopes' behaviors in the
fuel cycle, a higher \uranium{5} enrichment grade of fresh fuel will increase the observed concentration of \uranium{4}
in the irradiated fuel as described previously. The amount of \uranium{5} in separated
waste obviously depends on the fresh fuel enrichment grade, when the irradiation time is constant -- more of it going
into the reactor means that more of it will be left over. Similarly, \uranium{6}, which is produced through neutron
capture from \uranium{5}, will also be increasingly present. And finally, as more \uranium{5} is present in fresh fuel,
by pure mathematical necessity does the concentration of \uranium{8} drop by roughly the amount that the fresh fuel's
enrichment grade is increased. The separated waste gives a direct look at the uranium composition as it was in the
spent fuel before reprocessing, because a separation efficiency of $<\SI{100}{\percent}$ implies that a part of the
spent fuel uranium will end up in the reprocessing waste considered here.

As before, abundance ratios are measured for isotopes in the reprocessing waste as well. Specifically, the following
abundance ratios are measured in both kinds of material, depleted uranium and separated reprocessing waste. Note that
other isotopes than only those of uranium (as described before) are measured, too; some abundance ratios like
those of plutonium are very characteristic for certain parameters (in this case of the cycle time). However, in this
simple case, even only measuring uranium isotopes in both waste kinds would have resolved the ambiguity as well.
%
\begin{table}[h]
 \centering
 % note: Pu is not included in 22663725 shown below. It is in job 22711474, but there, the product enrichment
 % distribution is not as nice.
 \begin{tabular}{ccccc}
  U & Np & Pu & Cs & Sr \\
  \midrule
  234/235 & 240/239 & 239/240 & 135/137 & 88/90 \\
  236/235 & & & 134/137 & 86/90 \\
  235/238 & & & 133/137 & \\
 \end{tabular}
 \caption[Measured abundance ratios for inference of fresh fuel enrichment]{Considered abundance ratios for inference
of fresh fuel enrichment. More abundance ratios could be measured, e.g. \plutonium{39}/\plutonium{38}, but this wasn't
necessary for this experiment.}
 \label{tab:application:ffeabundance}
\end{table}

Even though some isotopes (like \isotope[90]{Sr} and \isotope[137]{Cs}) have a relatively short half life of a few
decades, decay plays a minor role in this work. For one, the longest simulated fuel cycle takes \SI{120}{\day}; and
secondly, the measurements take place within at most ten days within the end of irradiation and subsequent reprocessing
and enrichment.

Using these measurements, the resulting probability distributions for the different chains considered before are shown
in \autoref{fig:application:chainmodes_sw}, in analogy to \autoref{fig:application:chainmodes_u}; the merged
distributions are shown in \autoref{fig:application:cyclerichmentffe_densities}. Now, there is only one possible
parameter set left to explain the observed composition. The separated waste contains information about both the cycle
time (for example, from the \plutonium{39}/\plutonium{40} ratio) and fresh fuel enrichment (influencing the \uranium{5}
and \uranium{8} content of the separated waste). The product enrichment can then be easily derived from the depleted
uranium tails.

\begin{figure}
 \centering
 \includegraphics[width=\textwidth]{figures/application/cycletime_bothenrich/cyclerichmentffe_22711474_chains.pdf}
 % cyclerichment_22719887_chains.pdf: 864x274 px, 72dpi, 30.48x9.67 cm, bb=0 0 864 274
 \caption[Reconstruction result by chain for three parameters without ambiguity]{Measuring the composition of both
depleted uranium and separated waste removes ambiguities.}
 \label{fig:application:chainmodes_sw}
\end{figure}
\begin{figure}
 \centering
 \includegraphics[width=\textwidth]{figures/application/cycletime_bothenrich/cyclerichmentffe_22711474.pdf}
 % cyclerichmentffe_22719870.pdf: 0x0 px, 0dpi, 0.00x0.00 cm, bb=
 \caption[Reconstructed probability distribution for three parameters without ambiguity]{The merged densities of
\autoref{fig:application:chainmodes_sw}.}
 \label{fig:application:cyclerichmentffe_densities}
\end{figure}

%%%% This is not that interesting...
%
% As an aside, the inference quality of only cycle time and product enrichment grade (as was done in the previous
% section) also slightly benefits from the additional measurement of separated waste, as can be seen in
% \autoref{fig:application:cyclerichment_with_sepwaste}.
%
% \begin{figure}[h]
%  \centering
%  \includegraphics[width=.66\textwidth]{figures/application/cyclerichment/cyclerichment_sepwaste.pdf}
%  % cyclerichment_sepwaste.pdf: 0x0 px, 0dpi, nanxnan cm, bb=
%  \caption{With separated waste (SW) also being measured in addition to depleted uranium (DU), the inference quality
% improves very slightly, especially for the product enrichment.}
%  \label{fig:application:cyclerichment_with_sepwaste}
% \end{figure}

% jobs 22719870
% 22719887
% 22711417
% 22711474 or 22637725 (without Pu! doesn't matter too much)

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\mysection{Test: Inference for Different Values of Target Parameters}{application:validation}
%% issue #8

A very simple, but important, first validation method is to attempt reconstructing different \gls{groundtruth} values
(or \emph{target values}). After all, it is possible that only by sheer accident did the inference process calculate
the numbers previously used to generate the \gls{groundtruth}. To rule out such a behavior, three different parameter
combinations were used as ground truth. Note that for these distributions, a very low relative sigma of $\sigma =
\SI{0.5}{\percent}$ was used; this is the reason for the very narrow peaks in comparison to the distributions shown
before. This doesn't change the principle, though. Only \uranium{4}, \uranium{5}, and \uranium{6} were used for this
inference.

\begin{table}[h]
 \centering
 \begin{tabular}{c|cc}
  Experiment & Cycle time / d & Product enrichment / \% \\
  \midrule
  1 & 60 & 80 \\
  2 & 40 & 92 \\
  3 & 80 & 85 \\
 \end{tabular}
 \caption[Ground truths used for test inferences]{Ground truths for inferences shown in
\autoref{fig:application:targetcmp}; the fresh fuel enrichment was fixed at \SI{1.1}{\percent}.}
 \label{tab:application:targetcmp_parameters}
\end{table}

\begin{figure}
\centering
  \includegraphics[width=.66\textwidth]{figures/application/cyclerichment/cyclerichment_targetcmp.pdf}
  \caption[Test inference results for different ground truths]{Inferred probability distributions for different target
values.}
 \label{fig:application:targetcmp}
\end{figure}

It is clear that the inference process was successful for these different parameters as well. And not only that;
even though the difference of parameters is small for some, the new parameters result in markedly different
distributions, allowing a distinction to be made between the chosen ground truth values for the respective parameters.

In addition, the inference from \autoref{sec:application:ffe_deplu} was re-run using the \gls{groundtruth} in
\autoref{tab:application:validationffe}, with a relative $\sigma$ of \SI{1}{\percent}. The result is shown in
\autoref{fig:application:targetcmp_cyclerichmentffe}, and also confirms the successful inference of this new different
parameter combination.

\begin{table}[h]
\centering
\begin{tabular}{rlcc}
 & Parameter & Range & Value \\
 \midrule
 \textbf{assumed} & \multicolumn{3}{c}{\emph{-- only default parameters --}} \\
 \midrule
 \textbf{sampled} & Cycle time & \SIrange{20}{120}{\day} & \SI{55}{\day}\\
 & Product enrichment & \SIrange{5}{95}{\percent} & \SI{80}{\percent} \\
 & Fresh fuel enrichment & \SIrange{1.0}{2.0}{\percent} & \SI{1.5}{\percent} \\
\end{tabular}
\caption[Ground truth used for testing the inference of three parameters]{Parameters used for the testing of
\autoref{sec:application:ffe_deplu} with a different ground truth.}
\label{tab:application:validationffe}
\end{table}

\begin{figure}
 \centering
 % job 22674561
 \includegraphics[width=\textwidth]{figures/application/cycletime_bothenrich/cyclerichmentffe_22674561.pdf}
 % cyclerichmentffe_22674561.pdf: 1080x288 px, 72dpi, 38.10x10.16 cm, bb=0 0 1080 288
 \caption[Reconstruction results from testing inference using different ground truths]{Inferring the three parameters
from the previous section using different target parameters. Compare with the previous inference results in
\autoref{fig:application:cyclerichmentffe_densities}.}
 \label{fig:application:targetcmp_cyclerichmentffe}
\end{figure}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\mysection{Influence of $\sigma$ on inference result}{application:sigma_influence}

% continuing previous section: assuming larger measurement uncertainty. Issue #13

As described in the methodology chapter before, the $\sigma$ used for calculating likelihoods of individual samples
from the parameter space is important to the inference result. This section will present results using different
values of $\sigma$ by revisiting experiments described in earlier sections.

First, two parameters -- cycle time and product enrichment -- are inferred for values of \SI{1}{\percent},
\SI{2}{\percent}, and \SI{4}{\percent}, respectively. The configuration is otherwise identical to
\autoref{tab:application:cyclerichment}. The resulting posterior distributions are presented in
\autoref{fig:application:cyclerichment_sigmas124}.

Then, the same approach is used to compare the results of four different uncertainties for inferring three parameters
(fresh fuel enrichment in addition to the previous two). The configuration is otherwise the one in
\autoref{tab:application:ffe}, and the reconstructed distributions are shown in \autoref{fig:application:ffe_sigmas}.

\begin{figure}
 \centering
 \includegraphics[width=.7\textwidth]{figures/application/cyclerichment/sigmas/cyclerichment_sigmas_marginal.pdf}
 \caption[Joint probability distribution comparison of cycle time/product enrichment for different $\sigma$]{Comparison
of joint probabilities for the inference of cycle time and product enrichment at different values
of $\sigma$. The green area corresponds to the inference using \SI{1}{\percent}, and the increasingly large areas
belong to those using \SI{2}{\percent} and \SI{4}{\percent}, respectively.}
 \label{fig:application:cyclerichment_sigmas124}
\end{figure}

\begin{figure}
 \centering
 \includegraphics[width=\textwidth]{figures/application/cycletime_bothenrich/cyclerichmentffe_sigma_comparison.pdf}
 % cyclerichmentffe_sigma_comparison.pdf: 1080x288 px, 72dpi, 38.10x10.16 cm, bb=0 0 1080 288
 \caption[Reconstructed probability distributions for three parameters inferred using different $\sigma$]{Probability
distributions for the three well-known parameters when inferred using different uncertainties for
the likelihood calculation.}
 \label{fig:application:ffe_sigmas}
\end{figure}

What is clear is that a higher uncertainty of measurements corresponds to worse precision in the inference outcome.
However: the result is still essentially the same, and except for the highest uncertainty at \SI{10}{\percent}, the
most likely combination of cycle time and product enrichment can be determined easily.

One approach to selecting the uncertainty used to calculate likelihoods is to utilize measurement uncertainties
directly. However, even with highly accurate mass spectroscopy methods, the uncertainty may be impacted by other
unknown or partially known factors. For example, the a drawn sample may not be representative, or misestimation of other
parameters in the fuel cycle could occur. Especially with the simple kind of fuel cycle simulation used here, the
latter source of errors shouldn't be underestimated.

However, the problem with the ``relative sigma'' for likelihood calculation is that two different aspects of the
overall method are mixed. First, the measurement and model uncertainties inherent in a reconstruction attempt; those
uncertainties are of physical nature. Therefore, they also affect the shape of the posterior distribution which is
expected and useful.

The second aspect of the likelihood chosen for inference is the computational one, however: the
sampling algorithms require a certain gradient of the likelihood for different samples. If the chosen sigma is too
large, then the difference in likelihood between different samples is not enough for the algorithm to efficiently find
differences between parameters, and sample the posterior distribution well. If the chosen sigma is too small, then
found peaks will be very narrow (precise) but not necessarily accurate; individual measurements may be overly informing
the inference process, and others mislead the algorithms -- this can occur due to the chosen start values or the random
walk. Therefore, the sigma chosen for the inference process is not a very good way of modelling uncertainties
statistically. This is also the reason why most inference experiments before this section used a constant value of
\SI{1}{\percent} for the relative sigma hyper parameter: this is both a physically plausible and computationally
feasible value.

Instead, more systematic approaches to processing uncertainty of prior information and measurements is presented in the
following two sections.

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\mysection{Modelling Measurement Uncertainties}{application:jitter}
%% issue #23

Instead of using the measurements obtained as \gls{groundtruth} from simulating the fuel cycle with the chosen target
parameters, a real measurement can be more closely emulated by adding \emph{jitter} to the \gls{groundtruth}. This
jitter is a random (but deterministically calculated in this simulation) offset sampled from a narrow normal
distribution (e.g., $\sigma = \SI{1}{\percent} \text{~of~} y_0$) centered at the \gls{groundtruth} value $y_0$.
Therefore, instead of encoding the uncertainty originating in the measurement of isotope concentrations or abundance
ratios in the likelihood function, the more realistic approach is to add uncertainty to the measurements fed to the
inference process. After all, were actual inspectors to measure isotopes in a waste dump in order to feed them to the
inference process developed in this work, then the measurement results would not perfectly fit the (hidden) truth:
instead, they are randomly distributed around the true concentrations or ratios. \cite{MalteJitter2021}

Two different ways are explored to simulate this scenario. The first way assumes that there is one measurement which is
used for all inference purposes. A random offset (``jitter'') is sampled once for each simulated ``true'' measurement.
The alternative approach obtains $n$ measurements, which -- in the specific inference process developed in this work --
are each given to one Markov chain. This approach exploits the assumed narrow distribution of measurements around the
true value instead of only taking one sample. A visualization of the difference between the approaches is shown in
\autoref{fig:application:jitterdemo}: the true values 1, 2, and 3 are represented by either one measurement each (which
may or may not be matching the true value), or by a set of samples close to the true value.

\begin{figure}
 \centering
 \includegraphics[width=0.4\textwidth]{figures/application/jitterdemo.pdf}
 % jitterdemo.pdf: 360x360 px, 72dpi, 12.70x12.70 cm, bb=0 0 360 360
 \caption[Visualization of ``jitter'' approach to simulating measurement uncertainties]{Ground truth values are known
from a simulation (lines); either one measurement is taken and used as basis for inference (left), or multiple randomly
distributed measurements are taken and used for multiple inferences, whose results are combined (right).}
 \label{fig:application:jitterdemo}
\end{figure}

The first approach shall be called \emph{jitter}, and the second approach \emph{multi-jitter}. The expectation
is that
\begin{itemize}
 \item for the \emph{jitter} approach, one of two outcomes occur:
 \begin{itemize}
  \item Coincidentally, a \emph{consistent} result is generated after the jittering. All posterior distributions are
shifted to a new position, and the apparent uncertainty doesn't change, or changes less than the shift of the
reconstruction's expectation value..
  \item The measurements are not entirely compatible anymore, and the peak width increases; but the location isn't
modified as much.
 \end{itemize}
 \item for the \emph{multi-jitter} approach, it is unlikely that all randomly shifted measurements will be clustered in
a way suggesting a \emph{false} result. Instead, the peak location of the inferred posterior distributions doesn't
change significantly, but the peak width increases in accordance with the simulated (or measured) uncertainty of
observations.
\end{itemize}

\autoref{fig:application:ffe_jitter} confirms these predictions. While cycle time (as observed in the preceding
sections) can still be reconstructed well, the orange line representing the \emph{jitter} approach is shifted
slightly for fresh fuel enrichment and more strongly for the product enrichment grade distribution. In fact, for product
enrichment, it suggests a \emph{wrong} value with unjustified precision; apparently, the sampled measurement suggested a
different product enrichment, and was consistent enough for the inference not to consider higher product enrichment
grades too much.

By contrast, the green line showing the posterior distributions inferred using the \emph{multi-jitter} method agrees
with the original (perfect measurement) blue line, although its peak is wider. Only in the fresh fuel enrichment
parameter, a small ``side peak'' is predicted, possibly as a result of a single Markov chain finding itself in a
different local likelihood maximum.

\begin{figure}
 \centering
 \includegraphics[width=\textwidth]{figures/application/cycletime_bothenrich/cyclerichmentffe_jitter_22711474.pdf}
 \caption[Comparison of reconstructed probability distributions for different measurement uncertainty simulations]{The
reference line in blue is the same result as in \autoref{fig:application:cyclerichmentffe_densities}; the orange and
green lines are obtained using two different jitter methods.}
 \label{fig:application:ffe_jitter}
\end{figure}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\mysection{Prior Uncertainties}{application:assumptionuncertainties}

So far, all parameters which were not sampled themselves were assumed to be exactly known; for example, the reactor
power. In reality, negotiators may have a good idea about such a parameter and don't want to infer it the same way as
other parameters, i.e. using a uniform prior with a large interval. What can instead be attempted is to estimate the
value of this parameter and an uncertainty, and use this as an uncertain prior -- as opposed to the certain priors used
implicitly so far.

In order to evaluate this approach, an inference process was run with a non-constant power. Now the power was not set
to a constant value of \SI{2410}{\mega\watt}, as in all previous examples, but it was instead assumed that the power
$P$ behaves as $P \sim \mathcal{N}(2400, 30)$; the prior distributions have been sampled and are shown in
\autoref{fig:application:cyclerichment_power_prior}. The remaining parameters of this experiment are shown in
\autoref{tab:application:assumptionuncertainties}.

\begin{table}[h]
\centering
\begin{tabular}{rlcc}
 & Parameter & Range & Value \\
 \midrule
 \textbf{assumed} & Fresh fuel enrichment & & \SI{1.1}{\percent} \\
 \midrule
 \textbf{sampled} & Reactor Power & $\sim \mathcal{N}(2400, 30) \si{\mega\watt}$ & \SI{2410}{\mega\watt} \\
 & Cycle time & \SIrange{20}{120}{\day} & \SI{60}{\day} \\
 & Product enrichment & \SIrange{5}{95}{\percent} & \SI{90}{\percent} \\
\end{tabular}
\caption[Parameters used for testing inference using an uncertain estimated minor parameter]{Parameters when inferring
cycle time and product enrichment using an uncertain power. The cycle time corresponds to a specific burnup of
\SI{1.30}{\mega\watt\day\per\kilo\gram} with the true reactor power of \SI{2410}{\mega\watt}.}
\label{tab:application:assumptionuncertainties}
\end{table}

\begin{figure}
\begin{subfigure}{\textwidth}
 \centering
 \includegraphics[width=\textwidth]{figures/application/cyclerichment/powermodel_prior.pdf}
 % powermodel_prior.pdf: 1080x288 px, 72dpi, 38.10x10.16 cm, bb=0 0 1080 288
 \caption[Prior distributions for sampling using an estimated minor parameter (power)]{The prior distributions (sampled
by \pymc) for this experiment.}
 \label{fig:application:cyclerichment_power_prior}
\end{subfigure}
\vspace{10pt}
\begin{subfigure}{\textwidth}
 \centering
 \includegraphics[width=\textwidth]{figures/application/cyclerichment/cyclerichment_power_22753252.pdf}
 % cyclerichment_power_22753252.pdf: 1080x288 px, 72dpi, 38.10x10.16 cm, bb=0 0 1080 288
 \caption[Reconstructed probability distributions incorporating an estimated minor parameter of power]{The posterior
distributions for the same model -- note the different abscissa scales! Using a non-uniform
prior for reactor power permits inferring other parameters with lowered, but still useful precision. Compare to
\autoref{fig:application:cyclerichment_density}, which is shown here in orange.}
 \label{fig:application:cyclerichment_power_posterior}
\end{subfigure}
\caption[Prior and posterior distributions for a model reconstructed using uncertain reactor power]{Prior and posterior
distributions of a model assuming reactor power with a specific uncertainty
($\sigma_\text{Power} = \SI{30}{\mega\watt}$). Note the distinct scales of each subfigure.}
\label{fig:application:cyclerichment_power}
\end{figure}

\autoref{fig:application:cyclerichment_power_posterior} is the result of the inference process; it can be compared to
the result of \autoref{sec:application:cyclerichment}, which has been presented in
\autoref{fig:application:cyclerichment_density} and is shown here as orange line. While a variable power doesn't affect
the reconstruction of the product enrichment grade (which is happening at a later stage than the variable power), the
cycle time's distribution is indeed affected. This is easily explained: a given spent fuel composition, when considered
in order to infer the cycle time, will always lead to a specific \gls{burnup}. This is proportional to the cycle time
as long as the power is kept constant. The specific \gls{burnup} has been introduced already, and is expressed as
\[\text{spec. burnup} = \frac{\text{power} \times \text{cycle time}}{\text{core mass}}.\] When power and core mass are
fixed, then there is an obvious one-to-one correspondence of cycle time to specific burnup, via

\begin{equation}
 \text{cycle time} = \frac{\text{spec. burnup} \times \text{core mass}}{\text{power}}
\end{equation}

Therefore, if the specific burnup can be determined precisely from an isotope composition, the cycle time can be also
directly calculated from it. So far, this has happened implicitly, as the cycle time was the parameter being sampled
with the other two variables going into specific burnup being constant (i.e., instead of cycle time, the specific
burnup could have been equally sampled). However, if the power is not exactly known, an uncertainty is added to
the determined burnup when calculating the cycle time distribution. It is possible to use conventional uncertainty
propagation to estimate the uncertainty of cycle time caused by an uncertainty in reactor power:

\begin{equation}
 \sigma_\text{cycle time, from power} = \frac{\text{spec. burnup} \times \text{core mass}}{(\text{power})^2} \times
\sigma_\text{power}
\end{equation}

which, in this case, results in a theoretical \[\sigma_\text{cycle time, from power} \approx \SI{0.745}{\day}.\]
Considering the aggregate samples obtained from \pymc, the sample standard deviations $s_i$ are listed in
\autoref{tab:application:poweruncertaintiescompare}. It is assumed that the uncertainty shown in the first line is
inherent to the inference process of the cycle time parameter, and will occur even for exactly known prior power. In
the following, $s$ denotes a sample uncertainty, whereas $\sigma$ is a distribution's standard deviation.

\begin{table}[h]
 \centering
 \begin{tabular}{r|c}
  Inference & $s_\text{cycle time, sampled} \approx \sigma_\text{cycle time, total}$ \\
  \midrule
  Cycle time + Product enrichment (power fixed) & \SI{0.454}{\day} \\
  C. t. + P. e. ($\text{power} \sim \mathcal{N}(2400, 30)$) & \SI{0.867}{\day} \\
 \end{tabular}
 \caption[Comparison of sample standard deviation for fixed and uncertain reactor power values]{Comparison of sample
standard deviations between fixed power and uncertain power.}
 \label{tab:application:poweruncertaintiescompare}
\end{table}

Now it is possible to attempt separating the uncertainties originating in the inference process itself
($\sigma_\text{cycle time, inference}$) from the
uncertainty added by using an unknown power parameter ($\sigma_\text{cycle time, from power}$). Assuming the total
uncertainty is composed from the inherent uncertainty and the power uncertainty, it is expected that \[s_\text{cycle
time, total}^2 = s_\text{cycle time, inference}^2 + s_\text{cycle time, from power}^2,\] Evaluating this yields
\[s_\text{cycle time, total}^2 - s_\text{cycle time, inference}^2 = s_\text{cycle time, from power}^2\text{, and}\]
\[(\num{0.867})^2 - (\num{0.454})^2 = (\mathbf{\num{0.739}})^2.\] This is almost exactly the uncertainty predicted by
conventional uncertainty propagation above: \[s_\text{cycle time, from power} = \SI{0.739}{\day} \approx
\SI{0.745}{\day} = \sigma_\text{cycle time, from power}.\] This shows that Bayesian inference propagates uncertainties
from prior distributions -- at least in some scenarios.

Therefore it is a good practice to model uncertain assumptions as random variables with estimated uncertainty, even if
there is no interest in inferring the distribution of the variable itself. The inference process will propagate
priors' uncertainties to the posterior distributions of parameters depending on these assumptions.

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\mysection{Assuming non-Uniform or Incorrect Priors}{application:incorrectprior}

So far, all experiments have used uniform distributions containing little prior information except for the
range that a parameter is expected to be contained in. However, non-uniform distributions could be used as prior too,
and this is possibly even the most likely case -- it is rare for there to be no information at all. But when assuming
an informed prior, it is important to a look at reconstruction results calculated by a model with faulty assumptions.
After all, if non-uniform priors were ``correct'' and resembled the expected result, there would be no point in running
the reconstruction.

There can be two kinds of a prior assumption being wrong:
\begin{enumerate}
 \item A prior is \emph{informed}, i.e. not uniform -- like the \emph{power} prior in
\autoref{sec:application:assumptionuncertainties} --, but it is either slightly or badly misinformed. In fact, in that
section, the power prior was misinformed insofar that its expectation value was not identical to the real value. (This
is the common case, of course.)
\item A prior is uniform (\emph{uninformed}), but doesn't include the correct parameter value in its range; i.e., it
predicts a probability of 0 for the parameter being equal to its true value.
\end{enumerate}

Case 1 is usually not a grave issue; as long as some probability is assigned to the true parameter value, it is likely
that the posterior probability distribution for the parameter will predict the true value with a significant
probability. Using normal distributions as priors as shown in \autoref{tab:application:nonuniform_cyclerichmentffe},
time and fresh fuel enrichment continue to be inferred well in
\autoref{fig:application:cyclerichmentffe_misinformed_prior}, but the influence of the non-uniform prior is slightly
visible in the posterior distribution of the product enrichment: its peak is shifted towards lower enrichment grades, as
modeled in the prior distribution. Note however that the uncertainties used in the prior were large, implying a low
confidence in assumed values.

\begin{table}[h]
\centering
\begin{tabular}{rllc}
 & Parameter & Range & Value \\
 \midrule
 \textbf{assumed} & \multicolumn{3}{c}{\emph{-- only default parameters --}} \\
 \midrule
 \textbf{sampled} & Cycle time & $\sim\mathcal{N}(50, 10)$ & \SI{60}{\day} \\
 & Fresh fuel enrichment & $\sim\mathcal{N}(1.3, 0.3)$ & \SI{1.1}{\percent} \\
 & Product enrichment & $\sim\mathcal{N}(85, 10)$ & \SI{90}{\percent} \\
\end{tabular}
\caption{Parameters when inferring cycle time and product enrichment using informed priors.}
\label{tab:application:nonuniform_cyclerichmentffe}
\end{table}

\begin{figure}
 \centering
 \begin{subfigure}{\textwidth}
 \centering
  \includegraphics[width=\textwidth]{figures/application/cycletime_bothenrich/cyclerichmentffe_normalprior.pdf}
  \caption{Prior distributions for inference of cycle time and both enrichment grades.}
  \label{fig:application:cyclerichmentffe_normal_prior_densities}
 \end{subfigure}

 \begin{subfigure}{\textwidth}
 \centering
\includegraphics[width=\textwidth]{figures/application/cycletime_bothenrich/cyclerichmentffe_normprior_22711644.pdf}
  \caption{Corresponding posterior distributions (blue), compared with the distributions inferred using uniform
prior distributions (orange).}
  \label{fig:application:cyclerichmentffe_normal_posterior_densities}
 \end{subfigure}
 \caption{Prior and posterior distributions for inference of cycle time, fresh fuel and product enrichment grades
using informed priors.}
 \label{fig:application:cyclerichmentffe_misinformed_prior}
\end{figure}

As an aside, using a non-uniform prior distribution can even have advantages compared to using a uniform distribution.
Even if it suggest slightly wrong prior information about a parameter, this is still more than no information and can
lead to improved inference results compared to just using flat (uniform) priors.

Case 2 is more serious: as parameters outside the assumed ranges are assigned a likelihood of 0, the Bayesian
inference process will duly ignore such parameters. The correct parameters cannot occur in the posterior distribution.
A result of this is shown in \autoref{fig:application:cyclerichment_wrong_uni_prior}; here, instead of the usual
\SIrange{5}{95}{\percent} uniform interval for product enrichment, the priors in
\autoref{tab:application:incorrect_cyclerichment} assumed that this parameter \emph{must} be within
\SIrange{5}{85}{\percent}; the true parameter meanwhile was still at \SI{90}{\percent}. Thus, the true value cannot be
inferred. There is a gleam of hope though: the inference process degrades gracefully and suggests that the parameter is
at or above the upper limit of the prior range, allowing the operator of the inference process to double-check her
priors and adjust them if needed. A completely uninformed prior could also be used as an alternative to a uniform
distribution; this is supported by \pymc.

\begin{table}[h]
\centering
\begin{tabular}{rlcc}
 & Parameter & Range & Value \\
 \midrule
 \textbf{assumed} & Fresh fuel enrichment & & \SI{1.1}{\percent} \\
 \midrule
 \textbf{sampled} & Cycle time & \SIrange{20}{120}{\day} & \SI{60}{\day}\\
 & Product enrichment & \textbf{\SIrange{5}{85}{\percent}} & \SI{90}{\percent} \\
\end{tabular}
\caption{Experiment parameters for inference of cycle time and product enrichment using a wrong prior distribution.}
\label{tab:application:incorrect_cyclerichment}
\end{table}

\begin{figure}
 \centering
 \includegraphics[width=0.66\textwidth]{figures/application/cyclerichment/cyclerichment_wrongprior_densities.pdf}
 % cyclerichment_wrongprior_densities.pdf: 720x288 px, 72dpi, 25.40x10.16 cm, bb=0 0 720 288
 % job 22711644
 \caption[Posterior distribution of an inference process assuming a wrong prior]{Posterior distribution of an inference
process assuming a wrong range for the product enrichment grade (labeled \emph{incorrect}). The \emph{correct} orange
distribution is the one already presented in \autoref{fig:application:cyclerichment_density}.}
 \label{fig:application:cyclerichment_wrong_uni_prior}
\end{figure}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\mysection{Further Approaches}{application:further}

This thesis has been concerned in large parts with developing a method to reconstruct nuclear fuel cycles using
Bayesian inference. But not everything that could be achieved has been covered in this chapter. Not only are there
additional parameters that can be reconstructed using this method, but also novel approaches beyond only reconstructing
new parameters.

\paragraph{Switch Point}

Occasionally, not only parameters of fuel cycles are of interest, but also their history. A static fuel cycle as was
presented here is only one case; a real fuel cycle can gain or lose facilities over time. Therefore it could be
interesting to attempt finding a ``switch'' time, at which a fuel cycle switched from one regime to another. Such an
event will also leave traces in the waste, which can be measured just like it has been in the previous examples.

In that case, the switch would be introduced either on the level of \cyclus~as additon and removal of facilities in a
fuel cycle, or within the \pymc~model. An example for inferring a switch point from historical (non-nuclear) data is
given in \cite{salvatier2016probabilistic}.

\paragraph{Fuel Cycle Structure}

Analogous to inferring details about a fuel cycle's history in the previous paragraph, information about the structure
of a fuel cycle can also be simulated. Using a discrete (categorical) random variable determining -- for example --
whether one facility $A$ or another facility $B$ was used in a fuel cycle (or alternatively, how much material was
processed in one versus another facility), uncertainties about the precise structure of a fuel cycle can also be
modeled within the developed framework. The result is a discrete probability distribution showing the estimated
probabilities of one or another facility having been used.

\paragraph{Better Measurement Uncertainty Estimates}

To assign an uncertainty based on the value of a measurement, as was done in this work using a ``relative sigma''
fraction, works in many cases, but is unsophisticated. It is more useful to either relate the likelihood to the
measurement method used for observations, or not rely on the likelihood and instead use an approach like the
\emph{multi-jitter} idea presented above.

\paragraph{Weighted Likelihoods}

In the likelihood calculation algorithm described in \autoref{sec:methodology:likelihood}, all likelihoods were
weighted equally. It is possible to assign different weights to likelihoods, for example in situations where an
unweighted calculation produces ambiguities as shown in the previous sections. This can happen in one of two ways:
\begin{enumerate}
 \item Multiply the likelihood (not log-likelihood) with a constant factor determined for each measurement. This
enables stating ``give measurement $A$ twice as much importance as measurement $B$''.
 \item A more natural approach is adapting the relative sigma hyper parameter, which was already introduced in
\autoref{sec:methodology:likelihood}. Uncertain measurements (for example, the mass of hundreds of tons of uranium) are
assigned a larger value than certain ones (a highly precise abundance ratio measured through mass spectrometry).
\end{enumerate}

In \autoref{sec:application:ffe_deplu} the equal treatment of likelihoods also possibly caused the multi-peak posterior
distribution. Were measurements of higher quality (i.e. with no sawtooth structure) weighted higher, this could improve
the reconstruction ability using the same measurements, without having to obtain new information.

However, at this point further experimentation is required in order to confirm concrete benefits.
